Generate document upload URL
https://api.light.inc/v1/invoice-payables/{invoicePayableId}/document/upload-url
Generates a secure upload URL for invoice payable documents
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Path parameters
-
invoicePayableIdstring · uuidrequired
Request body
application/json;charset=UTF-8
-
documentNamestringOriginal file name of the document.
-
contentTypestringMIME type of the uploaded document (e.g. application/pdf).
Response
-
uploadUrlstring · urlPre-signed URL to which the invoice payable document can be uploaded.
-
headersobjectHTTP headers required when uploading the document to the pre-signed URL.